Test registry charts
curl --request POST \
--url https://{host}/api/registries/{id}/test-charts \
--header 'Content-Type: application/json' \
--cookie k8s-gate-session= \
--data '
{
"charts": [
"<string>"
],
"versions": {}
}
'import requests
url = "https://{host}/api/registries/{id}/test-charts"
payload = {
"charts": ["<string>"],
"versions": {}
}
headers = {
"cookie": "k8s-gate-session=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'k8s-gate-session=', 'Content-Type': 'application/json'},
body: JSON.stringify({charts: ['<string>'], versions: {}})
};
fetch('https://{host}/api/registries/{id}/test-charts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/registries/{id}/test-charts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'charts' => [
'<string>'
],
'versions' => [
]
]),
CURLOPT_COOKIE => "k8s-gate-session=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/registries/{id}/test-charts"
payload := strings.NewReader("{\n \"charts\": [\n \"<string>\"\n ],\n \"versions\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("cookie", "k8s-gate-session=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/api/registries/{id}/test-charts")
.header("cookie", "k8s-gate-session=")
.header("Content-Type", "application/json")
.body("{\n \"charts\": [\n \"<string>\"\n ],\n \"versions\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/registries/{id}/test-charts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["cookie"] = 'k8s-gate-session='
request["Content-Type"] = 'application/json'
request.body = "{\n \"charts\": [\n \"<string>\"\n ],\n \"versions\": {}\n}"
response = http.request(request)
puts response.read_body{
"charts": [
{
"chart": "<string>",
"key": "<string>",
"present": true,
"tags": 123,
"version": "<string>",
"error": "<string>"
}
],
"missing": 123,
"ok": true,
"present": 123,
"registry": "<string>",
"repoUrl": "<string>",
"total": 123,
"unreadable": 123,
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}registries
Test registry charts
Chart mirror — the chart-side twin of prepull. Static sub-paths must be
Authorisation: registry:Test on krn:celum:registry:{id}.
Assistant tool: test_registry_charts
POST
/
api
/
registries
/
{id}
/
test-charts
Test registry charts
curl --request POST \
--url https://{host}/api/registries/{id}/test-charts \
--header 'Content-Type: application/json' \
--cookie k8s-gate-session= \
--data '
{
"charts": [
"<string>"
],
"versions": {}
}
'import requests
url = "https://{host}/api/registries/{id}/test-charts"
payload = {
"charts": ["<string>"],
"versions": {}
}
headers = {
"cookie": "k8s-gate-session=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'k8s-gate-session=', 'Content-Type': 'application/json'},
body: JSON.stringify({charts: ['<string>'], versions: {}})
};
fetch('https://{host}/api/registries/{id}/test-charts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/registries/{id}/test-charts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'charts' => [
'<string>'
],
'versions' => [
]
]),
CURLOPT_COOKIE => "k8s-gate-session=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/registries/{id}/test-charts"
payload := strings.NewReader("{\n \"charts\": [\n \"<string>\"\n ],\n \"versions\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("cookie", "k8s-gate-session=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/api/registries/{id}/test-charts")
.header("cookie", "k8s-gate-session=")
.header("Content-Type", "application/json")
.body("{\n \"charts\": [\n \"<string>\"\n ],\n \"versions\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/registries/{id}/test-charts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["cookie"] = 'k8s-gate-session='
request["Content-Type"] = 'application/json'
request.body = "{\n \"charts\": [\n \"<string>\"\n ],\n \"versions\": {}\n}"
response = http.request(request)
puts response.read_body{
"charts": [
{
"chart": "<string>",
"key": "<string>",
"present": true,
"tags": 123,
"version": "<string>",
"error": "<string>"
}
],
"missing": 123,
"ok": true,
"present": 123,
"registry": "<string>",
"repoUrl": "<string>",
"total": 123,
"unreadable": 123,
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
sessionCookiebearerToken
The session cookie issued by the OIDC sign-in flow. This is what a browser uses.
Path Parameters
The object's identifier.